package xyz.etztech.mixtape.commands;

import org.bukkit.Bukkit;
import org.bukkit.ChatColor;
import org.bukkit.OfflinePlayer;
import org.bukkit.command.Command;
import org.bukkit.command.CommandExecutor;
import org.bukkit.command.CommandSender;
import org.bukkit.configuration.file.FileConfiguration;
import org.bukkit.entity.Player;
import xyz.etztech.mixtape.Mixtape;

import java.util.ArrayList;
import java.util.LinkedHashMap;
import java.util.List;

public class CommandMixtape implements CommandExecutor {

    Mixtape plugin;

    public CommandMixtape(Mixtape plugin) {
        this.plugin = plugin;
    }

    @Override
    public boolean onCommand(CommandSender sender, Command command, String base, String[] args) {
        if (args.length == 0) {
            sender.sendMessage(ChatColor.GOLD + "===== Mixtape =====");
            sender.sendMessage(ChatColor.YELLOW + "/mixtape reload");
        } else if (sender.hasPermission("alias.admin")) {
            if ("reload".equalsIgnoreCase(args[0])) {
                plugin.reloadConfig();
                sender.sendMessage(ChatColor.GREEN + "Mixtape Reloaded.");
            } else if ("purge".equalsIgnoreCase(args[0])) {
                if (args.length > 1) {
                    Player player = Bukkit.getPlayerExact(args[1]);
                    if (player != null) {
                        Mixtape.getDatabase().purge(player.getUniqueId().toString());
                        sender.sendMessage(ChatColor.GREEN + "Purged all of " + player.getName() + "'s aliases.");
                    } else {
                        sender.sendMessage(ChatColor.RED + "No player found.");
                    }
                } else {
                    for (OfflinePlayer offline : Bukkit.getBannedPlayers()) {
                        Mixtape.getDatabase().purge(offline.getUniqueId().toString());
                    }
                    sender.sendMessage(ChatColor.GREEN + "Purged all banned players' aliases.");
                }
            }
        }
        return true;
    }


}
